Bug 313261 - No way to make audio work the way it used to
No way to make audio work the way it used to
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 14:52 EDT by Kyle Cronan
Modified: 2007-12-29 20:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-29 20:25:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Cronan 2007-09-30 14:52:34 EDT
Description of problem:
My audio used to work perfectly.  I have some monitors connected to my sound
card's IEC958 out and a speaker in the bedroom on the analog "Front" out.  The
kernel driver is smart enough to use the PCM mixer as a software volume control
for the IEC958 when it's enabled.  This means I can set the level just once, not
every time an application opens the audio device.

Now that pulseaudio is installed by default, something has changed and I don't
see how to make it go back.  Under System|Preferences|Hardware|Sound, I can
disable "Enable software sound mixing (ESD)", which will (misleadingly) disable
pulseaudio.  If I also select "PCM" on the devices tab, then I get my
system-wide PCM mixer back.  However, only apps that output to alsa will pay
attention to this mixer.  If I'm using OSS audio output, the level gets reset
every time.

Also, with this configuration, when I use Volume Applet to adjust the volume, my
music skips.  Especially if I move the control very quickly.  I get the
impression that I am now using some sort of alsa user-space software volume
control, which does not work as well as the kernel-space software volume I used
previously.

Bottom line is that if there were a bunch of alsa changes to support pulseaudio,
I need to know how to back that out.  Thanks!
Comment 1 Martin Stransky 2007-10-01 07:07:08 EDT
There is not any change in ALSA for the pulseaudio support. (at least any fedora
specific). 

What "kernel-space software volume" do you mean?
Comment 2 Kyle Cronan 2007-10-02 01:38:26 EDT
Well, I don't know the full answer to your quetion, but I was able to find the
following note at
http://www.alsa-project.org/main/index.php/Changes_v1.0.15rc2_v1.0.15rc3

Sound core
 - Remove the built-in software volume control in favour of softvol.

Perhaps it's now automatically inserting softvol into the chain, for any iec958
output?

I will post to the alsa-user list about this.
Comment 3 Martin Stransky 2007-10-02 05:16:43 EDT
(In reply to comment #2)
> Sound core
>  - Remove the built-in software volume control in favour of softvol.
> 
> Perhaps it's now automatically inserting softvol into the chain, for any iec958
> output?

That's possible. Anyway, did you tried to remove pulseaudio?
Comment 4 Kyle Cronan 2007-10-02 13:39:57 EDT
I disabled it in gnome-sound-properties, but that made no difference.  You think
I should try removing the package?

Note You need to log in before you can comment on or make changes to this bug.